site_name: Trent's Blog
site_description: Trent's blog of mostly technical documentations.
site_url: https://blog.trentsonlinedocs.xyz/

theme:
  name: material
  custom_dir: overrides
  palette:
    scheme: default
    primary: white
  features:
    - navigation.tabs

markdown_extensions:
  - pymdownx.tabbed
  - pymdownx.highlight
  - pymdownx.superfences
  - pymdownx.inlinehilite
  - pymdownx.snippets:
      base_path: 'snippets'
  - pymdownx.keys
  - attr_list

nav:
  - Home:
    - Home: index.md
    - "Postgresql Tips": posts/postgresql-tips.md
    - "Open Elevation Api Server Upgrade": posts/open-elevation-api-server-upgrade.md
    - "Wireguard on Nspawn": posts/wireguard-on-nspawn.md
    - "Sandbox IOT Network": posts/sandbox-iot-network.md
    - "QuasselCore on Debian 11": posts/quasselcore-on-debian-11.md
    - "Forklift Upgrade Arch Linux To A Dell Precision 3561": posts/forklift-upgrade-arch-linux-precision-3561.md
    - "Ansible KVM Router Lab Part 6": posts/ansible-kvm-router-lab-part-6.md
    - "Ansible KVM Router Lab Part 5": posts/ansible-kvm-router-lab-part-5.md
    - "Ansible KVM Router Lab Part 4": posts/ansible-kvm-router-lab-part-4.md
    - "Ansible KVM Router Lab Part 3": posts/ansible-kvm-router-lab-part-3.md
    - "Ansible KVM Router Lab Part 2": posts/ansible-kvm-router-lab-part-2.md
    - "Ansible KVM Router Lab Part 1": posts/ansible-kvm-router-lab-part-1.md
    - "Add KVM Network With Virsh": posts/add-kvm-network-with-virsh.md
    - "KVM On Arch": posts/kvm-on-arch.md
    - "RaspberryPi LTE-Failover Router With DNS Caching": posts/raspberrypi-lte-failover-router-with-dns-caching.md
    - "Flutter Integration Test Server in Debian 11 Nspawn Container": posts/debian-11-nspawn-flutter-integration-test-server.md
    - "Debian 11 TT-RSS": posts/debian-11-ttrss.md
    - "Trent's Favorite Podcasts": posts/trents-favorite-podcasts.md
    - "Test QR SVG Django": posts/test-qr-svg-django.md
    - "Prosody Photo Uploads": posts/prosody-photo-uploads.md
    - "XMPP Apt Notification": posts/xmpp-apt-notifications.md
    - "Apache Virtual Hosts": posts/apache-virtual-hosts.md
    - "SENDXMPP Handler for Python Logging": posts/sendxmpp-handler-for-python-logging.md
    - "Instruction For Tethering From Phone": posts/instructions-for-tethering-from-phone.md
    - "LMDE4 Custom Partitions for Disk Encryption": posts/lmde4-custom-partitions-disk-encryption.md
    - "Linux Move Cursor With Keyboard": posts/linux-move-cursor-with-keyboard.md
    - "Simplified Raspberry Streaming": posts/simplified-raspberry-streaming.md
    - "Clear Linux Encrypted XFS Root": posts/clear-linux-encrypted-xfs-root.md
    - "Clear Linux Guest Virt Manager": posts/clear-linux-guest-virt-manager.md
    - "Faster Partitioning with Sgdisk": posts/faster-partitioning-with-sgdisk.md
    - "LMDE3 XFS Full Disk Encryption": posts/lmde3-xfs-full-disk-encryption.md
    - "Rewrite Hugo Themes Report In Python": posts/rewrite-hugo-themes-report-in-python.md
  - RSS:
    - RSS: rss.md
    - RssCreated: /feed_rss_created.xml
    - RssUpdated: /feed_rss_updated.xml
  - Links:
    - Links: links.md
    - Source: https://git.boringonian.com/trent/trents_blog
    - TrentReads: https://trentpalmer.org
    - AttentionSpanHistory: https://blog.trentpalmer.org
    - GitHub: https://github.com/TrentSPalmer
    - Twitter: https://twitter.com/boringtrent
    - Facebook: https://www.facebook.com/trentspalmer
    - TrentDocs: https://docs.trentsonlinedocs.xyz/
    - HugoThemesReport: https://trentsonlinedocs.xyz/hugo-themes-report/hugo-themes-report.html
    - LibreGpsParser: https://play.google.com/store/apps/details?id=org.trentpalmer.libre_gps_parser
    - ConcisePDX: https://concise-pdx.com/
    - FreeCodeCampChallenges: https://trentspalmer.github.io/fcc-challenges/
    - DeviceLayout: https://trentpalmer.work/6a57bbe24d8244289610bf57533d6c6f/
  - Posts:
    - "Postgresql Tips": posts/postgresql-tips.md
    - "Open Elevation Api Server Upgrade": posts/open-elevation-api-server-upgrade.md
    - "Wireguard on Nspawn": posts/wireguard-on-nspawn.md
    - "Sandbox IOT Network": posts/sandbox-iot-network.md
    - "QuasselCore on Debian 11": posts/quasselcore-on-debian-11.md
    - "Forklift Upgrade Arch Linux To A Dell Precision 3561": posts/forklift-upgrade-arch-linux-precision-3561.md
    - "Ansible KVM Router Lab Part 6": posts/ansible-kvm-router-lab-part-6.md
    - "Ansible KVM Router Lab Part 5": posts/ansible-kvm-router-lab-part-5.md
    - "Ansible KVM Router Lab Part 4": posts/ansible-kvm-router-lab-part-4.md
    - "Ansible KVM Router Lab Part 3": posts/ansible-kvm-router-lab-part-3.md
    - "Ansible KVM Router Lab Part 2": posts/ansible-kvm-router-lab-part-2.md
    - "Ansible KVM Router Lab Part 1": posts/ansible-kvm-router-lab-part-1.md
    - "Add KVM Network With Virsh": posts/add-kvm-network-with-virsh.md
    - "KVM On Arch": posts/kvm-on-arch.md
    - "RaspberryPi LTE-Failover Router With DNS Caching": posts/raspberrypi-lte-failover-router-with-dns-caching.md
    - "Flutter Integration Test Server in Debian 11 Nspawn Container": posts/debian-11-nspawn-flutter-integration-test-server.md
    - "Debian 11 TT-RSS": posts/debian-11-ttrss.md
    - "Trent's Favorite Podcasts": posts/trents-favorite-podcasts.md
    - "Test QR SVG Django": posts/test-qr-svg-django.md
    - "Prosody Photo Uploads": posts/prosody-photo-uploads.md
    - "XMPP Apt Notification": posts/xmpp-apt-notifications.md
    - "Apache Virtual Hosts": posts/apache-virtual-hosts.md
    - "SENDXMPP Handler for Python Logging": posts/sendxmpp-handler-for-python-logging.md
    - "Instruction For Tethering From Phone": posts/instructions-for-tethering-from-phone.md
    - "LMDE4 Custom Partitions for Disk Encryption": posts/lmde4-custom-partitions-disk-encryption.md
    - "Linux Move Cursor With Keyboard": posts/linux-move-cursor-with-keyboard.md
    - "Simplified Raspberry Streaming": posts/simplified-raspberry-streaming.md
    - "Clear Linux Encrypted XFS Root": posts/clear-linux-encrypted-xfs-root.md
    - "Clear Linux Guest Virt Manager": posts/clear-linux-guest-virt-manager.md
    - "Faster Partitioning with Sgdisk": posts/faster-partitioning-with-sgdisk.md
    - "LMDE3 XFS Full Disk Encryption": posts/lmde3-xfs-full-disk-encryption.md
    - "Rewrite Hugo Themes Report In Python": posts/rewrite-hugo-themes-report-in-python.md
  - Source: https://git.boringonian.com/trent/trents_blog
  - TrentReads: https://trentpalmer.org
  - AttentionSpanHistory: https://blog.trentpalmer.org
  - GitHub: https://github.com/TrentSPalmer
  - Twitter: https://twitter.com/boringtrent
  - Facebook: https://www.facebook.com/trentspalmer
  - TrentDocs: https://docs.trentsonlinedocs.xyz/
  - HugoThemesReport: https://trentsonlinedocs.xyz/hugo-themes-report/hugo-themes-report.html
  - LibreGpsParser: https://play.google.com/store/apps/details?id=org.trentpalmer.libre_gps_parser

extra_css: 
  - extra.css

extra:
  social:
    - icon: fontawesome/brands/twitter
      link: https://twitter.com/boringtrent
      name: trent on twitter
    - icon: fontawesome/brands/facebook
      link: https://www.facebook.com/trentspalmer
      name: trent on facebook
    - icon: fontawesome/brands/github
      link: https://github.com/TrentSPalmer
      name: trent on github
    - icon: fontawesome/solid/rss-square
      link: /rss
      name: rss

plugins:
  - rss:
      match_path: "posts/.*"
  - search
